Hullámvölgyben a Puppy ?

Totál hétköznapi témák, ötletek, tutira nem linux és nem PC
NTamas
Hozzászólások: 1655
Csatlakozott: 2014.06.19. 13:36

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: NTamas »

S-kami írta:
A cél lehetne, szerintem, már az ami tényleg fontos is egy OS szempotjából, hogy mindenképpen kicsi legyen, gyors és általános támogatás legyen rá, mindenki tudja telepíteni, használni, viszonylag könnyen kezelhető legyen, ezt mind megvalósítottuk már így, vagy úgy, különféle pupletekben.
A tagok által kiadott packok, csomagok lehetnének a támogatás, amivel mindenki olyan puppy -t kap, amiylet szeretne és minden készítő a saját csomagjait, megoldásait vihetné bele, kvázi mintha egy pupletet adna közre.

HunPrecise-CE, Hun-Slacko_CE....

Sajnos precise alatt nem fut már sok új program... :o :o :!:
A kicsi, gyors, és általános támogatás, meg a minden készítő a saját csomagjait, és vihetné bele elv azért egy ponton ellentmond egymásnak!
Ez a pont pedig a függőségek kérdése, illetve az ezeket megtalálni képes csomagkezelő kérdése.
A függőségek mint olyan, igen régi nóta, de sajnos ma is érvényes, ugyanis az általad jelzett, és kívánatos kicsi és gyors alap puppy-rendszerekben nincs minden benne, ez érthető is, hiszen az azt összekészítő fejlesztő csak ahhoz biztosít függőségeket, ami programokat ő az alapcsomagba indulásnak beletesz!
Ez minden puppy csomagra érvényes, és az ezután jövő -minden készítő a saját csomagjait, megoldásait vihetné bele- külsős csomagokban a legritkább esetben vannak beleépítve a kellő függőségek, és a csomagkezelő ezeket nem biztos, hogy meg fogja találni, főleg, ha a csomagkészítő az ő pet-es csomagjába nem írja bele a kellő függőségek nevét, ekkor a csomagkezelő nem fogja tudni, mi is kell ahhoz a csomaghoz, ergó, a feltelepített csomag nem fog működni. Sajnos, ilyen pet-es csomag bőven van, és minden kategóriában, és ilyenkor lép be a sok ember, így általam is erősen gyűlölt kézi függőségvadászat!
A legújabb programok már elég sok új függőséget igényelnek így az általad említett támogatásnak erre is ki kellene terjednie mert ha nem, akkor oda van az általad szintén követelményként meghatározott egyszerű kezelhetőség, és a kezdők részére szóló egyszerű szoftverhasználat.
A függőségi kérdésekre jó példa egyébként a tegnapi gjuhász által említett Inkscape-0.91-es verzió, abban az alap deb-ből készített pet-ben sincsenek meg a kellő függőségek, de gjuhász ezt becsülettel meg is említi, ő az egyik üdítő kivétel, aki még erre is ügyelt, és betette a pet-es csomagjába a föggőségeket a lib-alkönyvtárba. Az más kérdés, hogy ennek ellenére nálam, a Precise Puppy 571 Lite verzión ez mégsem indult el, noha egy darab függőséket reklamált a végén, de azt pótolva sem indult el a program, na ilyenkor legyen okos az ember, és néz nagyokat egy kezdő Puppy-s is.
Tehát jó az elképzelésed skami, csak kissé nehéz lesz ezt a régi alap programokkal megvalósítani, főleg, ha újabb programokat is bele akarsz vinni-vitetni és az alap csomagkezelő erre nem lesz felkészítve. Továbbá olyan kernel is kell, ami képes már a puppy-tól eltérő formátumú csomagokat kezelni, azok tárolóját elérni és azon programokhoz való függőségeket megkeresni, lehozni, és feltelepíteni.
Ha már egyéni puppy-t akarsz kifejleszteni, célszerű lenne egy olyan univerzális csomagkezelő egység beleépítése, ami a nagyobb, és általános linux csomagformátumokkal is megbirkózik, így valóban meg lehetne valósítani, a mindenféle csomagok feltelepítésének az alapját de ezt a kérdést a régi gárda amúgy is jól tuja, hiszen erről már többször volt szó régebben, igaz akkor még én itt nem voltam tag, de erre a csomagkezelő problémára igen gyorsan magamtól is rájöttem
A hozzászólást 1 alkalommal szerkesztették, utoljára NTamas 2015.04.09. 13:51-kor.

Avatar
S-kami
Adminisztrátor
Hozzászólások: 1043
Csatlakozott: 2014.04.16. 12:54
Kapcsolat:

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: S-kami »

nem csomagkezelőre gondoltam...
ahogyan régen működött.
volt egy xp puppy, ahhoz firefox, chromium, chrome, skype, virtualbox, java, satöbbi.
ezek tesztelve, elkészítve rendelkezésre álltak, a nagyon nagy többségnek elég is volt, illetve mindig frissítve is voltak.
ilyen csomagok vannak a gjuhasz pulijához is, meg minden nagyobb puplethez, pl 64 bites verziók.

a carolina vanguardhoz több száz ilyen csomag sfs -ben is, csak csatolni kell és fut is.
semmi vadászat. alapvetően a legtöbb puppy így is működik, minden kiadáshoz van egy könyvtár.

ezekről kiteszem a cikket is, így csak rá kell kattintani annak, aki pl skype -ot akar.
eddig ment is a dolog, csak nincs időm tesztelgetni mostanában, illetve igyekszem időt szakítani majd, hogy újra menjen, de ehhez kellene egy jó alap, mint régen az xp puppy vagy DjPatikulusz pupletjei, amelyekhez rengeteg csomag készen állt.
azt szeretném, ha lenne egy olyan jó, magyarított alap puppy, amihez így újra lehetne csomagokat gyártani, naprakészen tartani és időnként mindig frissíteni a pupletet, mondjuk félévente illetve a csomagokat is.
az xp puppy elég sokáig ment is, amíg volt időm rá.
Puppy linux ! Mert megérdemlem !
Gyertek fel a csetre ! Katt ide a csevegéshez: https://discord.gg/74tBqJk

kros54
Hozzászólások: 377
Csatlakozott: 2014.06.17. 07:01
Kapcsolat:

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: kros54 »

Akkor azért az is kiderült, hogy after-Precise pupletekkel nemcsak nekem van bajom.
Viszont ez messzebb vezethet.
- a 3.x-nél nagyobb verziószámú kernelek mind ilyenek? Általános vonás ám más disztróknál is a RAM-kérés, hiányában lassulás,
s akkor windowsokról meg nem is beszéltünk, (ahol, tapasztalataim alapján, ez a tendencia megállt, bizonyos 7-es kiadások és 8.1 már nem kért a korábbinál nagyobb RAM-ot.)
- a puplet-készítő közönség baltáz el valamit? (Ezt nem hinném...)
- vagy külön út kellene, elszakadva az Ubuntu-vonaltól?
...

NTamas
Hozzászólások: 1655
Csatlakozott: 2014.06.19. 13:36

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: NTamas »

Értem az elképzelésedet Skami, de ha félévente új programokkal akarsz előállni, akkor gyakorlatilag a régi kernelhez, alapverzióhoz kell illesztened azokat, és ez több gondot is felvet, ebből az egyik az, hogy ehhez, mármint az alapverzióhoz való új programok illesztése komoly előmunkát fog igényelni. Mert volt olyan sfs, amit hiába csatoltam az egyik legjobban bevált Precise Puppy 571 Lite verzióhoz, az mégsem indult el, mert az sfs nem tartalmazott egy szükséges függőséget, nem volt beleépítve, mert a tisztelt szerző azzal számolt, hogy ezt már az alap puppy tartalmazza, hát nem tartalmazta!
Szóval ilyen buktatókra simán fel kell készülni, és vagy az van, hogy az alap puppy-t úgy kell megépíteni, hogy az már eleve tartalmazzon sok (kép-hang-megjelenítés-psf office stb.) függőséget, amik egy átlagos szoftverfelszereltséghez kelleni fognak, - nem véletlenül nagyok a normál Linux verziók sem, pont emiatt - vagy pedig, hasonlóan a gjuhász tegnapi Inkscape csomagjához, már eleve azokba vannak ezek beleépítve. De ismétlem, ezek nagy munkát fognak jelenteni, egyrészt átnézni a régi programokat, mik kellenek hozzá, azok benne vannak e az alaprendszernek választott Puppy verzióban, vagy ha nem, a csomagkezelő képes e azokat előteremteni.
Hidd el, hiába van rengeteg csomag, ami önmagában jó dolog, ha azokat feltelepítve valamiért azok nem fognak működni, vagy mert hiányzik hozzájuk valami, vagy mert egy régebbi puppy verzióra voltak megírva.
Azt írod, találni kell egy jó alap puppy-nak való verziót, disztrót, de mit értesz ezalatt?
Milyen kernelszámú verziót akarsz alapnak elképzelni, továbbá a régi gépeken, kevés memóriával az újabb kernelű verziók hogyan fognak működni? - vagy nem működni.
Szerintem két fő irányt kéne meghatározni:
1. régi kis teljesítményű gépek, 512Mega-1 Giga Ram-ig bezárólag
2. nagyobb teljesítményt nyújtó gépek 1Giga Ram fölött
Mint ahogy azt talán kros54 is említette, régi, kis gépekre nem érdemes már új szoftververziókat befordítani, mert azokkal a régi vasakkal, - amikből sajnos financiális okok miatt még elég sok van üzemben, és ráadásul még jól is működnek! * - ezen új szoftverek nagy erőforrás igénnyel fognak fellépni, és nemhogy gyors géped nem lesz, hanem be fog lassulni a régi masina.

Erre nagyon jó az én példám.
Húsvét első napjától szenvedek egy laptoppal, amit hozzám vágtak javítás céljából, illetve azért, hogy tegyek rá valamit amivel csak Net-en barangolni, olvasni, levelet írni, és néha, ha a gép még bírja, mp3-as zenét is lehessen hallgatni. Ezek igen szerény igényekhez nagyon szerény gép társult: Celeron 550mhz-es proci, 64Mega Ram!!! 14 collos képernyő 1024x768-as maximális felbontással, egy S3-as Savage videóchip ami 8 Mega saját Ram-al működik, az akku-ban egy csepp élet nincs, töltőről működik csak a Toshiba Satellite 4200-as laptop. Ezen gyárilag volt egy Windows 98, ami behalt, -ezt kellet javítani, meg a merevlemezt kellett kicserélni, nem kaptam már hozzá gyárit, csak egy ismerős által jutottam hozzá egy 4.3Gigás jó állapotú darabhoz, eredetileg 6Gigás volt benne, de az lehalt teljesen!- tettem rá a megzakkant angol w98 helyett egy SP3-as magyar nyelvű XP-t , a telepítése a 64Mega fixen beforrasztott Ram miatt borzasztó lassú volt, de felment, működés közben már a még az elfogadható sebességen belül működik az oprendszerbe beépített dolgokkal. Tettem fel egy régi, bevált 2-es winamp-ot, ezzel jól működik az mp3 lejátszás, a 64 Mega Ram ellenére folyamatos a zene, nem szaggat be.Tettem fel neki egy foxit 1.1-es pdf olvasót ezzel pdf e-book könyveket tud olvasni, van fenn egy TotalCommander, a fájlok másolása miatt, ezt szokta meg, direkt kérés volt ennek a feltevése. A laptop alkalmas CardBus/PCMCIA Card-os wifi-kártyával a netezésre, de az XP miatt ez nem ajánlott. De nem vehettem le az XP-t,mert kellet neki a pár darab játékhoz, ami még a gépen volt. Ezért egy olyan Puppy Linux verzióra esett a választásom, amivel lehet PCMCIA Card-os wifi kártyával netezni, és elég kicsi maga a rendszer, hogy az XP mellett még megmaradt 1.5 Gigányi üres helyre felférjen. Gondolhatod, nem volt egyszerű meló, de összejött. Köszönhető ez a kros54 által régebben megcsinált TurbóPuppy-nak, azon belül is a Turbo Puppy 4.2 v02 HU ISO-nak, ezt tettem fel Frugall módban az XP mellé netezéshez. A Wifi-card egy Edimax EW-7108PCg darab, amit a TurbóPupy simán felismert, és azonnal működésre tudtam benne bírni, azonnal látott vagy hat darab wifi-hálózatot a közelemben, egyre fel is tudtam vele lépni, mivel nem volt letitkosítva, gondolom a gazdája a saját wifi-jét varázslóval tette fel magának, az meg alapesetben nem titkosítja a wifi hálózatot, mindegy nekem épp jól jött próbának, így ki tudtam vele próbálni a TurbóPupy-t, és igen, működött a dolog! Persze a próba után küldtem egy üzenetet a wifi-hálózat tulajának, hogy nyílt a rendszere, bárki be tud oda lépni, legnagyobb meglepetésemre ezt ő nem is tudta, és nagyon megköszönte, hogy felhívtam rá a figyelmét. Hát ilyen felhasználók is vannak, de nekem ez most épp jól jött a wifi-card+Puppy kipróbálásához.
Netezni lehetett vele, bár egy igen régi Firefox van a csomagban, de legalább ez viszonylag gyorsan működik, a flash meg javascript természetesen letiltva benne, így azért noha nem százszázalékosan, de azért lehet vele netezni is, bár türelem azért kell hozzá.Ja, és a lényeg: a Puppy memóriafogyasztása 31-től 38 Megáig terjedt, és ehhez ugye van a gépben 64 Mega Ram, szóval nem egy kimondott űrrakéta, de azért jól használható masina lett belőle!
Persze a Puppy telepítésénél voltak problémák, persze, hogy a videókártya miatt, ugyanis ezt az S3 Savage kártyát a Puppy csak Vesa módban volt hajlandó felismerni, és kezelni! DE! A TurbóPuppy-ban viszont előzékeny módon két videóvarázsló is van beépítve(köszi kros54!) így a Vesa varázslójával szépen be lehetett lőni a Savage kártyafelbontást, és rendben működik a TurbóPuppy, azóta is!
Szóval ebből azt akartam kihozni, hogy a géphez való Pupy rendszer megtalálása is eléggé macerás ügy, és ha azt a csomagot még bővíteni is akarnám mondjuk egy frissebb verziójú Firefox-al, nem biztos, hogy működne a dolog. Így is nagy sikerélmény volt számomra egy ilyen kevés memóriájú gépre egy működő XP-t és egy Pupy linux-ot felvarázsolni, és még maradt is üres merevlemez terület is, aminek az XP nagyon tud örülni.
A végére jön a poén, a gép tulaja időközben kapott a nyuszitól egy komoly laptopot, így ezt a matuzsálemi Toshiba laptopot ingyen nekem adta, így most egy lommal több van a szobában, de legalább van egy olcsó, Android-os táblakészülékektől szerintem sokkalta többet érő veterán Puppy-s gépem.

Avatar
KuLuSz
Hozzászólások: 509
Csatlakozott: 2014.06.17. 21:19

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: KuLuSz »

Itt mindenkinek igaza van :) . Tényleg kellene találni minden fajta puppy-ból 1 megfelelő stabil verziót , a magyarítás nem téma , viszont a csomagkezelővel tényleg kellene kezdeni valamit hogy a netről kapkodja le a függőségeket és ne nekünk keljen összevadászni a csomagokba. Visszatérve a rendszerekhez , ha 1 adott puppyverziónak neki állunk , akkor azon ne változtassunk kernel szinten , tehát az alaprendszert ne húzzuk ki alóla azzal hogy újabbat telepítünk. Én ezt már írtam korábban is , hogy ez a fejlődés átka . Sorra jönnek ki a kernelek , aztán már azt se tudjuk hol állunk , mindig keresni kell a megfelelő devx-t és kernel forrást ha fordítani akarunk valamit . Na nem mintha értenék hozzá, csak megjegyzem. :D . Az viszont hogy telerakjuk az alaprendszert függőségekkel nembiztos hogy jó ötlet , mivel aztse tudjuk hogy az összes program települni fog-e (mertugye azt az user dönti el). Szóval előbb valami tematikát kellene erre kitalálni hogy mit hogyan ...majd ezeket az ötleteket mindegyik puppyban megvalósítani . Már ha van időnk rá . :lol:
-<(].K.u.L.u.S.z.[)>-
-----------------------------------------------
Elérhetőségeim: Angol irc csevegő, (reg mentes) Discord, YouTube

Avatar
S-kami
Adminisztrátor
Hozzászólások: 1043
Csatlakozott: 2014.04.16. 12:54
Kapcsolat:

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: S-kami »

hoppá!

ezt ismeri valaki?

Ez a legacy kiadás nagyon szimpatikus nekem:
http://www.bodhilinux.com/w/system-requirements/

Legacy / E17 Release

Minimum:

500mhz processor
128MB of RAM
4GB of drive space
Puppy linux ! Mert megérdemlem !
Gyertek fel a csetre ! Katt ide a csevegéshez: https://discord.gg/74tBqJk

azami
Hozzászólások: 1014
Csatlakozott: 2014.06.20. 20:25

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: azami »

Régebbi kiadást próbálgattam, jó volt....és ebben is volt remaster lehetőség

NTamas
Hozzászólások: 1655
Csatlakozott: 2014.06.19. 13:36

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: NTamas »

S-kami írta:hoppá!
ezt ismeri valaki?
bodhilinux
Legacy / E17 Release
Ismerős, volt is fenn egy régebbi verziója az azóta sajnos már elhalálozott régebbi asztali gépemen, -Inteles Black Perl-es alaplapos 2.80 GHz-es Intel P4-es procis masina- ott 2Giga Ram volt a gépben, meg egy Asus gyártmányú NVidia-s videókártya, azzal hasított, bár nekem a színvilága nem tetszett, de a visszafogott programkínálata igen, nem volt telezsúfolva a cd programokkal, mindenből két, vagy három program volt benne, pl. most rákerestem, a multimédiás progikból ez a választék, bőven elég induláshoz. Ez meg a csomag-appcenter, látható, hogy nincs túlzsúfolva a dolog, de nem is ez a lényeg. Egyszerű kis méretű,-561Mega a 32 bites telepítő iso fájl- és úgy emlékszem a telepítőjében simán választható volt a magyar nyelv, így azzal sem kell már utólag szenvedni. Aki szereti értékelni a minimál koncepciót, meg a kissé puritán, bocsi, inkább egyedinek nevezem a kinézetét, az nem jár vele rosszul. Wifi hálózati részről nem tudok nyilatkozni, mert amikor régen próbáltam, még nem volt routerem, továbbá már arra sem emlékszem, lehet e rá másik ablakkezelőt tenni, és csak a beépítettet használtam, azzal jól működött./csak sajnos jött egy vihar, a villám belevágott az elekromos rendszerünkbe, hiába volt körben védelem, elment a modem, az alaplap, procistól, mindenestől, és ment vele a merevlemez is, meg ami rajta volt az is, csak a házat, és érdekes módon a tápegységet, meg a billentyűzetet, és az egeret lehetett megmenteni, szomorú nap volt!/

Avatar
KuLuSz
Hozzászólások: 509
Csatlakozott: 2014.06.17. 21:19

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: KuLuSz »

Hát igen , villámláskor nem árt kihúzni a dugót legalább a hálózatból, hacsak nem hamarabb lesz áramszünet . :lol:
-<(].K.u.L.u.S.z.[)>-
-----------------------------------------------
Elérhetőségeim: Angol irc csevegő, (reg mentes) Discord, YouTube

NTamas
Hozzászólások: 1655
Csatlakozott: 2014.06.19. 13:36

Re: Hullámvölgyben a Puppy ?

Hozzászólás Szerző: NTamas »

Kihúztam volna én, ha éppen otthon vagyok akkor, de akkor még volt melóm, és melóhelyről ez a művelet nem volt megoldható, mivel otthon akkor épp nem volt senki fia, borja, hát így jártam, de nem csak én, hanem kb. nyolcan a háztömbben. A biztosító viszont korrekt volt, és fizetett, már akinek volt eredeti vásárláskori számlája, annak korrekt árat térítettek meg, akinek nem volt, annak persze a biztosítós kárbecslő jóval kevesebbet állapított meg kártérítésnek.
És nemcsak sz.gépek, hanem videók,tévék, hálózati áramról működő rádiók szálltak el akkor, a biztosító háromfős csapattal jött, és egy fél napot a házban töltött a károk felmérésével. Utána meg én egy másik fél napot a biztosító irodájában, amíg hozzájutottam a kártérítéshez. Kellemetlen szitu volt, és sajnos igaz történet volt, a legjobban az Intel-es Black Perl-es alaplapot,(nagyon jó hangrésze volt, és optikai hangkimenete volt amit a Hifi-re lehetett kötni, meg amúgy is, nagyon korrekt kis deszka volt!) meg a memóriákat sajnáltam, azok nagyon jó kis darabok voltak, a procit már nem annyira, mert az egy energiazabáló volt, és irdatlan meleget termelt, ez mondjuk télen néha jól jött a hidegben, pótfűtésként.

Válasz küldése

Vissza: “Off Topic”